* {
    box-sizing: border-box;
    transition: 0.3s;
}

.calendar {
    /* width: 100%; */
    width: 20em;
    box-shadow: 3px 3px 15px rgba(0, 0, 0, 0.295);
    display: flex;
}

.calendar-box {
    /* float: left; */
    width: 100%;
    display: flex;
    flex-flow: column;
}

.calendar-day {
    background-color: whitesmoke;
    float: right;
    width: 40%;
    padding: 1%;
    height: 300px;
    overflow-y: scroll;
    scrollbar-width: none;
}

.calendar-day::-webkit-scrollbar {
    display: none;
}

.calendar-day-item {
    background-color: salmon;
    /* background-color: white; */
    /* color: black; */
    flex: 1 1 auto;
    color: white;
    margin: 3% 1%;
    padding: 5%;
    border-radius: 3px;
    cursor: pointer;
    box-shadow: 0 0 5px rgba(0, 0, 0, 0.397);
    transition: 0.3s;
}

.calendar-day-item:hover {
    background-color: teal;
}

.calendar-box-month {
    flex: 0 1 2.5em;
    color: white;
    padding: 1% 1%;
    background-color: rebeccapurple;
    display: flex;
    font-size: 50px;
}

.calendar-box-month-name {
    flex: 1 1 auto;
}

.calendar-box-month-prev {
    /* background-color: rgba(0, 0, 0, 0.288); */
    display: flex;
    align-items: center;
    flex: 1 1 10%;
    cursor: pointer;
}

.calendar-box-month-prev:hover {
    /* background-color: rgba(0, 0, 0, 0.692); */
    transform: scale(1.4);
}

.calendar-box-month-next {
    /* background-color: rgba(0, 0, 0, 0.288); */
    display: flex;
    align-items: center;
    flex: 1 1 10%;
    cursor: pointer;
}

.calendar-box-month-next:hover {
    /* background-color: rgba(0, 0, 0, 0.692); */
    transform: scale(1.4);
}

.calendar-box-weekdays {
    flex: 0 1 auto;
    background-color: whitesmoke;
    display: flex;
    flex-flow: row;
    padding: 0.4% 0;
}

.calendar-box-weekdays > span {
    flex: 1 1 auto;
    text-align: center;
}

.calendar-box-days {
    background-color: white;
    flex: 1 1 12em;
    display: flex;
    flex-flow: column;
}

.calendar-box-days-row {
    flex: 1 1 auto;
    display: flex;
    flex-flow: row;
    align-items: center;
}

.calendar-box-days-row > span {
    flex: 0 1 14.28%;
    text-align: center;
    box-sizing: border-box;
    padding: 2% 0;
    transition: 0.3s;
}

span.today {
    background-color: rgb(1, 175, 1);
    color: white;
}


span[day-0] {
    color: transparent;
    background-color: transparent;
}

span[today] {
    background-color: teal;
    color: white !important;
}

span.inactive {
    color: rgb(180, 180, 180);
    /* color: transparent; */
}

span[inactive] {
    color: rgb(180, 180, 180);
}

span[hidden_day] {
    color: transparent !important;
}

span[active] {
    color: black;
    cursor: pointer;
    transition: 0.3s;
}

span[active]:hover {
    background-color: royalblue;
    color: white;
    transform: scale(1.3);
}

[selected-day] {
    background-color: royalblue;
    color: white !important;
    transform: scale(1.3);
}

span.selected {
    background-color: royalblue;
    color: white;
}
